# APPROVE REQUEST Approval of a request by a RAO. At this moment the RAO will sign the receipt and the contract. Endpoint: POST /api/v1/requests/{id}/pl_approve Version: v1 ## Path parameters: - `id` (string, required) The unique identifier of the Request ## Request fields (application/json): - `username` (string, required) The RAO's username - `password` (string, required) The RAO's password - `pin` (string, required) The RAO's PIN - `rao_id` (string, required) The RAO's id - `lang` (string) The contract language ## Response 200 fields (application/json): - `secrets` (object) - `secrets.puk` (string) - `secrets.enrollment_code` (string) - `secrets.pin` (string) - `secrets.erc` (string) - `request` (object) The JSON object with the information associated to the approved request ## Response 400 fields (application/json): - `detail` (string) The response status message - `error` (string) The response status message ## Response 404 fields (application/json): - `code` (string) The response status code - `id` (string) The response status id - `error` (string) The response status message ## Response 412 fields (application/json): - `code` (string) The response status code - `id` (string) The response status id - `error` (string) The response status message ## Response 500 fields (application/json): - `code` (string) The response status code - `id` (string) The response status id - `error` (string) The response status message